6.0.0-git
2021-01-18

[#10264] Wrong initial application is shown when mobile-smartphone mode is selected
Summary Wrong initial application is shown when mobile-smartphone mode is selected
Queue IMP
Queue Version 5.0.7
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester g.arminas (at) gmail (dot) com
Created 2011-06-21 (3499 days ago)
Due
Updated 2011-06-24 (3496 days ago)
Assigned
Resolved 2011-06-24 (3496 days ago)
Milestone
Patch No

History
2011-06-24 18:27:33 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2011-06-24 18:08:54 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 10264 Honor initial_application pref for smartphone view.
If initial_application does not have a mobile view, then redirect to
the mobile portal.

  1 files changed, 14 insertions(+), 10 deletions(-)
http://git.horde.org/horde-git/-/commit/afc1fa1048b930749215854cfdc6cd700eadcaec
2011-06-21 08:24:40 g (dot) arminas (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Wrong initial application is shown when mobile-smartphone mode is selected
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
1. Install Horde-4.0.6 and IMP-5.0.7
2. In /horde/dir/conf/prefs.php:
<..>
// what application should we go to after login?
$_prefs['initial_application'] = array(
     'value' => 'imp',
     'locked' => true,
     'type' => 'enum',
     // Application list is dynamically built when prefs screen is displayed
     'enum' => array(),
     'desc' => sprintf(_("What application should %s display after 
login?"), $GLOBALS['registry']->get('name'))
);
<...>
3. Try to log in via smartphone mode - mobile portal is shown instead of IMP.

Saved Queries